var FrontSlide_listJson01 = function(){
	
	var opts={
		jsonData:""
		
	};
	
	var init=function(options){
	    $.extend(opts,options);
	    
	    initEvents();
	};
	
	var initEvents=function(){
	
		$(".imageurl_advice").tap(function(){
			var url=$(this).attr("name");
			
			if(/zmobile/.test(navigator.userAgent)){
				var isother=context.loadUrl(url);//客户端处理链接
				if(!isother){
					window.location.href=url;
				}
			}else{
				if(url.indexOf("http")!=-1){
					window.open(url);
				}else{
					location.href=url;
				}
			}
		});
		var screenWidth=$(window).width();
		
		if(screenWidth>640){
			screenWidth=640;
			$("#bannerScroll ul li div img").css("width",screenWidth+"px");
			$(".bannerScrollWrap").css("width",screenWidth+"px");
		}else{
			$("#bannerScroll ul li div img").css("width",screenWidth+"px");
			$(".bannerScrollWrap").css("width",screenWidth+"px");
		}
		
		var jsonData=opts.jsonData;
		
		if(jsonData.setData){
			var imgStr = '',indexStr = '',heightStr = jsonData.setData.descriPtion.split("*")[1];
		
			$("#bannerNav").addClass("height" + heightStr);
			for(var i = 0, jl = jsonData.contents.length; i < jl; i++){
					imgStr += '<li><a href="' + (jsonData.contents[i].linkUrl || '#') + '">' +
					'<img style="max-width:320px;" alt="" src="' + (jsonData.contents[i].bigPicPath.indexOf('content')!=-1 ? " /manager":"") + jsonData.contents[i].bigPicPath + '" />'+
					'</a> </li>';
					indexStr += '<em class=' + (i==0?'active':'') + '>'+ (i+1) +'</em> '
			}

			$("#bannerScroll ul").css("width",320*(jsonData.contents.length+1)+"px");
			if(jsonData.contents.length<=1){
				$("#bannerNav,#prev,#next").hide();
			} else {
				$("#indicator").html(indexStr);
				var sc2=new SwipeCarousel({wraper:'#bannerScroll',item:'li',itemWidth:screenWidth,loop:true,navs:'.sc_nav em',delay:((jsonData.setData.changeStyle*1000)||5000)});
				$("#prev").bind("click",function(){
					sc2.prev();
				});
				$("#next").bind("click",function(){
					sc2.next();
				});
		
				$(".prev,.next").tap(function(){
					$("#prev,#next").show();
					clearTimeout(timeout);
					timeout = setTimeout(function(){
						$("#prev,#next").hide();
					},3000);
				});
			
				var timeout = setTimeout(function(){
					$("#prev,#next").hide();
				},3000);
				sc2.onChange(function(index,isTouch){
					if(!isTouch) return;
					$("#prev,#next").show();
					clearTimeout(timeout);
					timeout = setTimeout(function(){
						$("#prev,#next").hide();
					},3000);
				});
			}
		} else {
			$("#bannerScroll,#bannerNav").hide();
		}
		
		
	};
	

	
	return {
		init:init
	};
}();


